# Interface SchemaProperties

Properties that can be passed into the constructor for data/Schema!Schema.

interface SchemaProperties {
displayField?: string;
fieldExtensions?: (FieldExtensionProperties | FieldExtension)[];
fields?: (Field | FieldJson)[];
geometryType?: GeometryJsonType;
primaryKeyField?: string;
spatialReference?: SpatialReference;
timeZone?: string;
typeIdField?: string;
types?: (FeatureType | TypeJson)[];
}

#####
Index

### Properties

displayField?
fieldExtensions?
fields?
geometryType?
primaryKeyField?
spatialReference?
timeZone?
typeIdField?
types?

##
Properties

### `Optional` displayField

displayField?: string

See data/Schema!Schema.displayField.

### `Optional` fieldExtensions

fieldExtensions?: (FieldExtensionProperties | FieldExtension)[]

See data/Schema!Schema.fieldExtensions.

### `Optional` fields

fields?: (Field | FieldJson)[]

See data/Schema!Schema.fields.

### `Optional` geometryType

geometryType?: GeometryJsonType

See data/Schema!Schema.geometryType.

### `Optional` primaryKeyField

primaryKeyField?: string

See data/Schema!Schema.primaryKeyField.

### `Optional` spatialReference

spatialReference?: SpatialReference

See data/Schema!Schema.spatialReference.

### `Optional` timeZone

timeZone?: string

See data/Schema!Schema.timeZone.

### `Optional` typeIdField

typeIdField?: string

See data/Schema!Schema.typeIdField.

### `Optional` types

types?: (FeatureType | TypeJson)[]

See data/Schema!Schema.types.